Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 871066 - app-text/wv-1.2.9-r3 - field.c: error: implicit declaration of function strcasecmp
Summary: app-text/wv-1.2.9-r3 - field.c: error: implicit declaration of function strca...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-09-17 20:29 UTC by Toralf Förster
Modified: 2022-10-03 08:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.64 KB, text/plain)
2022-09-17 20:29 UTC, Toralf Förster
Details
app-text:wv-1.2.9-r3:20220917-195314.log (app-text:wv-1.2.9-r3:20220917-195314.log,19.01 KB, text/plain)
2022-09-17 20:29 UTC, Toralf Förster
Details
clang.tar.bz2 (clang.tar.bz2,3.98 KB, application/x-bzip)
2022-09-17 20:29 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,81.30 KB, text/plain)
2022-09-17 20:29 UTC, Toralf Förster
Details
environment (environment,76.33 KB, text/plain)
2022-09-17 20:29 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,14.17 KB, application/x-bzip)
2022-09-17 20:29 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,8.00 KB, application/x-bzip)
2022-09-17 20:29 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,28.10 KB, application/x-bzip)
2022-09-17 20:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-09-17 20:29:32 UTC
too long lines were shrinked:

                    ~~ ^  ~~~~~~
2 warnings generated.
/bin/sh ./libtool  --tag=CC   --mode=compile clang -DHAVE_CONFIG_H -DVERSION=\"1.2.9\" -DXMLCONFIG=\"/usr/share/wv/wvConfig.xml\" -DHTMLCONFIG=\"/usr/share/wv/wvHtml.xml\" -DWVDATADIR=\"/usr/share/wv\" -I. -I. -I. -I.   -I/usr/include/libgsf-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I
libtool: compile:  clang -DHAVE_CONFIG_H -DVERSION=\"1.2.9\" -DXMLCONFIG=\"/usr/share/wv/wvConfig.xml\" -DHTMLCONFIG=\"/usr/share/wv/wvHtml.xml\" -DWVDATADIR=\"/usr/share/wv\" -I. -I. -I. -I. -I/usr/include/libgsf-1 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I
field.c:56:15: error: implicit declaration of function 'strcasecmp'
      [-Werror,-Wimplicit-function-declaration]
          else if (!(strcasecmp (s_Tokens[k].m_name, name)))

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no_multilib_hardened-j4-20220916-220004

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.1
 [2] x86_64-pc-linux-gnu-12.2.1 *
clang/llvm (if any):
clang version 15.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
/usr/lib/llvm/15
15.0.0
Python 3.10.7
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-bin-1.63.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
2)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-17  system-vm

The Glorious Glasgow Haskell Compilation System, version 9.0.2
php cli (if any):
GNU Make 4.3.90

  HEAD of ::gentoo
commit cae144bf93fd795deac860e17b464cefe0130eee
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Sep 17 18:46:59 2022 +0000

    2022-09-17 18:46:59 UTC

emerge -qpvO app-text/wv
[ebuild  N    ] app-text/wv-1.2.9-r3  USE="-tools -wmf"
Comment 1 Toralf Förster gentoo-dev 2022-09-17 20:29:33 UTC
Created attachment 809599 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-09-17 20:29:34 UTC
Created attachment 809602 [details]
app-text:wv-1.2.9-r3:20220917-195314.log
Comment 3 Toralf Förster gentoo-dev 2022-09-17 20:29:35 UTC
Created attachment 809605 [details]
clang.tar.bz2
Comment 4 Toralf Förster gentoo-dev 2022-09-17 20:29:36 UTC
Created attachment 809608 [details]
emerge-history.txt
Comment 5 Toralf Förster gentoo-dev 2022-09-17 20:29:37 UTC
Created attachment 809611 [details]
environment
Comment 6 Toralf Förster gentoo-dev 2022-09-17 20:29:38 UTC
Created attachment 809614 [details]
etc.portage.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2022-09-17 20:29:40 UTC
Created attachment 809617 [details]
logs.tar.bz2
Comment 8 Toralf Förster gentoo-dev 2022-09-17 20:29:41 UTC
Created attachment 809620 [details]
temp.tar.bz2
Comment 9 Larry the Git Cow gentoo-dev 2022-10-02 19:57:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18230444f274cd1f4d0c004d33b5004995e95d93

commit 18230444f274cd1f4d0c004d33b5004995e95d93
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2022-10-02 19:56:54 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2022-10-02 19:56:54 +0000

    app-text/wv: fix missing C99 prototypes
    
    Closes: https://bugs.gentoo.org/871066
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-text/wv/files/wv-1.2.9-C99-decls.patch | 101 +++++++++++++++++++++++++++++
 app-text/wv/wv-1.2.9-r3.ebuild             |   5 +-
 2 files changed, 105 insertions(+), 1 deletion(-)